Subject: Re: Bizarre git merge behaviour

From: Johannes Sixt <[email-masked]>
Date: Wed, 20 Nov 2013 13:29:52 +0100

Am 11/20/2013 13:03, schrieb Matthew Cengia:
> The only changes I expect are these:
> 
> mattcen@sonar:prisonpc(wtf)$ git --no-pager diff --numstat --oneline
> \ "$(git merge-base wtf origin/22869-new-kernel)"
> origin/22869-new-kernel 37      0       client/kernel/README 2797
> 0       client/kernel/config-3.5.7.20-1 0       3525
> client/kernel/config-3.5.7.21-1 -       -
> client/kernel/linux-firmware-image_3.5.7.21-1_i386.deb -       -
> client/kernel/linux-image-3.5.7.20_3.5.7.20-1_i386.deb -       -
> client/kernel/linux-image-3.5.7.21_3.5.7.21-1_i386.deb 1       0
> client/scm/20-security.scm 6       7
> client/scm/50-kernel-prisoner.scm 1       0
> client/scm/50-staff.scm 22      0
> doc/user_acceptance_tests/README 581     0
> doc/user_acceptance_tests/default.css 1548    0
> doc/user_acceptance_tests/user_acceptance_tests.html 4268    0
> doc/user_acceptance_tests/user_acceptance_tests.pdf 940     0
> doc/user_acceptance_tests/user_acceptance_tests.rst

> mattcen@sonar:prisonpc(wtf)$ git log --left-right --oneline \ 
> wtf...origin/22869-new-kernel ppcadm/modules/quarantine.py | cut
> -c1-70 < 5b5f552 Fixed msg vs msg.as_string because smtp.sendmail is
> picky < 03618f2 Use Return-Path, not X-Original-Envelope-From. <
> dc1169e Bug squashing. < 8e20216 Changed quarantine module to run
> maybe and send directly to < d79ad42 Change final port, name the
> magic number. < e44d1b3 Merge remote-tracking branch 'origin/staging'
> into 22912-ppc < a03db6d Modified quarantine UI to handle the new
> reports format

So, ppcadm/modules/quarantine.py changed only on our side, but not on
their side. This is in accordance with your listing above. Nevertheless,
the file is marked conflicted in your git status --porcelain output in
the original post:

UU ppcadm/modules/quarantine.py

That's strange. I can't tell what is going on. Perhaps you have some
criss-cross merges in your history that merge-recursive trips over?

Sorry, I don't know how to help you further.

-- Hannes